Bug 115768 - Network Device Control clobbers wvdial.conf
Network Device Control clobbers wvdial.conf
Product: Fedora
Classification: Fedora
Component: redhat-config-network (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Depends On:
  Show dependency treegraph
Reported: 2004-02-15 16:59 EST by Dave Bellis
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-04 06:25:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Bellis 2004-02-15 16:59:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
I'm using an old USR Sportster external modem. Initially ran
redhat-config-network and modem would not go "off hook" or dial
although LEDs indicated some communication from the system when I
attempted to dial. Ran wvdialconf /etc/wvdial.conf, it updated
wvdial.conf and modem works. Attempted to revise configuration using
redhat-config-network. It overwrites the wvdial.conf file incorrectly
and the modem no longer dials.

wvdialconf /etc/wvdial.conf adds:
[Dialer Defaults]
Modem = /dev/modem
Baud = 115200
Init1 = ATZ
Init2 = ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ISDN = 0
Modem Type = Analog Modem

redhat-config-network eliminates the above section and it seems to be

Version-Release number of selected component (if applicable):
redhat-config-network 1.3.10

How reproducible:

Steps to Reproduce:
1.Run redhat-config-network, change config and save it, modem dial
fails with "error 8"
2.Run wvdialconf /etc/wvdial.conf and modem dials
3.Run redhat-config-network, change config and save it, modem dial
fails with "error 8"

Actual Results:  Modem failed to dial and configuration file was
incorrectly modified.

Expected Results:  redhat-config-network shouldn't damage my
wvdial.conf file ! :-)

Additional info:
Comment 1 Harald Hoyer 2004-03-18 06:08:42 EST
Should be fixed with version 1.3.16
Comment 2 Harald Hoyer 2004-06-04 06:25:36 EDT
Closing due to inactivity. Reopen, if the problem is still existing.

Note You need to log in before you can comment on or make changes to this bug.